summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2020-11-20 00:29:36 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2020-11-20 00:29:36 +0000
commit7476ba2ef4898be736048eb447cb7f3d9ed319b7 (patch)
treec02ffcc3c12e40e699a0dc45b13207cfc38416fc /dev-python
parent11c30d06b50c29e991bc0657f9137891e7715502 (diff)
downloadbaldeagleos-repo-7476ba2ef4898be736048eb447cb7f3d9ed319b7.tar.gz
baldeagleos-repo-7476ba2ef4898be736048eb447cb7f3d9ed319b7.tar.xz
baldeagleos-repo-7476ba2ef4898be736048eb447cb7f3d9ed319b7.zip
Updating liguros repo
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/olefile/olefile-0.46.ebuild19
-rw-r--r--dev-python/pillow/Manifest1
-rw-r--r--dev-python/pillow/pillow-6.2.2.ebuild83
-rw-r--r--dev-python/pydispatcher/pydispatcher-2.1.2.ebuild10
-rw-r--r--dev-python/pyfakefs/Manifest1
-rw-r--r--dev-python/pyfakefs/pyfakefs-4.3.0.ebuild23
-rw-r--r--dev-python/pykwalify/pykwalify-9999.ebuild40
-rw-r--r--dev-python/python-zipstream/python-zipstream-1.1.4.ebuild9
-rw-r--r--dev-python/scandir/scandir-1.10.0-r2.ebuild6
-rw-r--r--dev-python/sentry-sdk/Manifest1
-rw-r--r--dev-python/sentry-sdk/sentry-sdk-0.19.4.ebuild87
-rw-r--r--dev-python/sphinx-py3doc-enhanced-theme/sphinx-py3doc-enhanced-theme-2.3.2-r1.ebuild2
12 files changed, 116 insertions, 166 deletions
diff --git a/dev-python/olefile/olefile-0.46.ebuild b/dev-python/olefile/olefile-0.46.ebuild
deleted file mode 100644
index df8d9de843a9..000000000000
--- a/dev-python/olefile/olefile-0.46.ebuild
+++ /dev/null
@@ -1,19 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python2_7 python3_{5,6,7,8,9} )
-
-inherit distutils-r1
-
-DESCRIPTION="Python package to parse, read and write Microsoft OLE2 files"
-HOMEPAGE="https://www.decalage.info/olefile"
-SRC_URI="https://github.com/decalage2/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="BSD-2"
-SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ppc ppc64 sparc x86 ~amd64-linux ~x86-linux"
-
-distutils_enable_sphinx doc
-distutils_enable_tests unittest
diff --git a/dev-python/pillow/Manifest b/dev-python/pillow/Manifest
index 350c72fff21c..235ce1b38d3a 100644
--- a/dev-python/pillow/Manifest
+++ b/dev-python/pillow/Manifest
@@ -1,4 +1,3 @@
-DIST pillow-6.2.2.tar.gz 37538464 BLAKE2B dfd9b81490a8adb4e12ecbf6764e4e27573c9a087877ac37275a9fb42b89f0cd8cab8d7ca0b45c9a00bf38ca5b1d83de68f5fc35ff19031bfcc1495ee3a5f5b7 SHA512 0f2c3bfd921247fa11645eadc42e184182a401ccbdb8f10215312e96c8c28f2382f5413b56acd78fab1dffc6fa53cc8588ce960543af65c4769451874c2c918e
DIST pillow-7.0.0.tar.gz 37880130 BLAKE2B be940cbdced884c33f2b3979be113b1bc8974814c9532fe80203395184f90eccba1cd9a5017fec1f0c30a21ff06abc46560d5c6d67938dbf640f2e8e08b7e554 SHA512 187173a525d4f3f01b4898633263b53a311f337aa7b159c64f79ba8c7006fd44798a058e7cc5d8f1116bad008e4142ff303456692329fe73b0e115ef5c225d73
DIST pillow-7.2.0.tar.gz 39125407 BLAKE2B f49015922c34473590740c9fa63435f85f9a517b3295abd2e758941b95162cef0fb1fa2a0e6ee0ac86323709ee3af02888f6e029a1905f13698e82c1f38d5d94 SHA512 ac9c7c8f445b3f67f51bea13fad118d1612c45272c26d33bec286f3c2e198912b934378c4bf986b409aaa2a83d92ff176ee4d25f28701d61746c9cb86d0f412b
DIST pillow-8.0.1.tar.gz 44614653 BLAKE2B 0f8ec178e92a57a55d575fac61779d39e79ff18032a02ad93aa6eca1211436342944b1a5bbd29979b52f0e2df756936ade4bf637ac3c153b5dda5838b58087ac SHA512 41b4ea786990c834f77ad06b64f465bc8f3a65911cf14bb05f452316fdf504e5e49b2bb50a9346f207187e79f83c5b6d310d703d1588f678b606584b1f27ce6a
diff --git a/dev-python/pillow/pillow-6.2.2.ebuild b/dev-python/pillow/pillow-6.2.2.ebuild
deleted file mode 100644
index 716b1b5b09ab..000000000000
--- a/dev-python/pillow/pillow-6.2.2.ebuild
+++ /dev/null
@@ -1,83 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python2_7 python3_{5,6,7,8,9} )
-PYTHON_REQ_USE='tk?,threads(+)'
-
-inherit distutils-r1 toolchain-funcs
-
-MY_PN=Pillow
-MY_P=${MY_PN}-${PV}
-
-DESCRIPTION="Python Imaging Library (fork)"
-HOMEPAGE="https://python-pillow.org/"
-SRC_URI="https://github.com/python-pillow/Pillow/archive/${PV}.tar.gz -> ${P}.tar.gz"
-S="${WORKDIR}/${MY_P}"
-
-LICENSE="HPND"
-SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 ~hppa ppc ppc64 sparc x86 ~amd64-linux ~x86-linux"
-IUSE="examples imagequant jpeg jpeg2k lcms tiff tk truetype webp zlib"
-RESTRICT="test"
-
-RDEPEND="
- dev-python/olefile[${PYTHON_USEDEP}]
- imagequant? ( media-gfx/libimagequant:0 )
- jpeg? ( virtual/jpeg:0 )
- jpeg2k? ( media-libs/openjpeg:2= )
- lcms? ( media-libs/lcms:2= )
- tiff? ( media-libs/tiff:0=[jpeg,zlib] )
- truetype? ( media-libs/freetype:2= )
- webp? ( media-libs/libwebp:0= )
- zlib? ( sys-libs/zlib:0= )"
-DEPEND="${RDEPEND}
- dev-python/setuptools[${PYTHON_USEDEP}]
-"
-
-distutils_enable_sphinx docs \
- dev-python/sphinx_rtd_theme
-
-python_configure_all() {
- # It's important that these flags are also passed during the install phase
- # as well. Make sure of that if you change the lines below. See bug 661308.
- mydistutilsargs=(
- build_ext
- --disable-platform-guessing
- $(use_enable truetype freetype)
- $(use_enable jpeg)
- $(use_enable jpeg2k jpeg2000)
- $(use_enable lcms)
- $(use_enable tiff)
- $(use_enable imagequant)
- $(use_enable webp)
- $(use_enable webp webpmux)
- $(use_enable zlib)
- )
-
- # setup.py sucks at adding the right toolchain paths but it does
- # accept additional ones from INCLUDE and LIB so set these. You
- # wouldn't normally need these at all as the toolchain should look
- # here anyway but this setup.py does stupid things.
- export \
- INCLUDE=${ESYSROOT}/usr/include \
- LIB=${ESYSROOT}/usr/$(get_libdir)
-
- # We have patched in this env var.
- tc-export PKG_CONFIG
-}
-
-python_install() {
- python_doheader src/libImaging/*.h
- distutils-r1_python_install
-}
-
-python_install_all() {
- if use examples ; then
- docinto example
- dodoc docs/example/*
- docompress -x /usr/share/doc/${PF}/example
- fi
- distutils-r1_python_install_all
-}
diff --git a/dev-python/pydispatcher/pydispatcher-2.1.2.ebuild b/dev-python/pydispatcher/pydispatcher-2.1.2.ebuild
index 764696a418be..33ffd6c78bce 100644
--- a/dev-python/pydispatcher/pydispatcher-2.1.2.ebuild
+++ b/dev-python/pydispatcher/pydispatcher-2.1.2.ebuild
@@ -10,16 +10,14 @@ MY_P="PyPyDispatcher-${PV}"
DESCRIPTION="Multi-producer-multi-consumer signal dispatching mechanism"
HOMEPAGE="https://github.com/scrapy/pypydispatcher https://pypi.org/project/PyPyDispatcher/"
SRC_URI="mirror://pypi/${MY_P::1}/${MY_P%-*}/${MY_P}.tar.gz"
+S=${WORKDIR}/${MY_P}
LICENSE="BSD"
SLOT="0"
KEYWORDS="~amd64 ~ia64 ~ppc ~x86"
IUSE="doc"
-DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
-RDEPEND=""
-
-S=${WORKDIR}/${MY_P}
+distutils_enable_tests unittest
python_compile_all() {
if use doc; then
@@ -28,10 +26,6 @@ python_compile_all() {
fi
}
-python_test() {
- "${EPYTHON}" -m unittest discover -v || die "Tests fail for ${EPYTHON}"
-}
-
python_install_all() {
use doc && local HTML_DOCS=( docs/pydoc/. )
distutils-r1_python_install_all
diff --git a/dev-python/pyfakefs/Manifest b/dev-python/pyfakefs/Manifest
index db547acc53ad..ea9f49beb8c8 100644
--- a/dev-python/pyfakefs/Manifest
+++ b/dev-python/pyfakefs/Manifest
@@ -1,3 +1,4 @@
DIST pyfakefs-4.1.0.tar.gz 185920 BLAKE2B ee61e5ecda697150374bef035054038aed29e23958c58a3b135aae8dae7b397a194586ef6fd3ae70db1d136572a23a876d7f2dacb7e5814c1bedc9bb4502c3fe SHA512 946e21e34643db2b84e53d14bd9758c8edaa9e5e40b827fd74b245f018e8084995f55256900bf795c23a5aae29f124d9fcb80caf08442f6292adb80ee59d79b4
DIST pyfakefs-4.2.0.tar.gz 192826 BLAKE2B b1b337f5845075d8c9f32565dc1169ec2fde7e49a0bcf2f446d09f090c8c46c69690259bfc1d8e76b754477303de049790a69a209c0ed11af465bd5ca2b2ddcd SHA512 d70266bac134eca45af3d2838f9f276217305add719aa1ed3606406b33b2d2f8bda20fbcdd4653e2a5e08baf717dd0f20005aa6f66ea519e52247c88fa8d72b2
DIST pyfakefs-4.2.1.tar.gz 192910 BLAKE2B dd1826b8fbddb9c9f272cd6fe0a286a41dbcf1bba625cfaef22ea1f17089f6acf346c3a84e56e6ad41f501329c06539bcda72cad670481a3ad770d014ad1e93d SHA512 99ee0ece46ed457dcf98c4c59ee905e58bbfe66e4fadcc3d3d9d725c2ce7b4fae25bc3cf847c85045a828beab52f315ec2ee78e6fea4b23cfe9aaddfd49f1829
+DIST pyfakefs-4.3.0.tar.gz 194821 BLAKE2B f7deca18ad019dba12ac35bac44be339fc1eef0ef609f33b2fa8974f3bd65a25fba043f0afef0e332f9a71f5014444eb7c6e890acbfcfc9c8acb780dc88140a6 SHA512 42c6e9da0f098eeb948fbe3f1f26e8fddfb35d3156543ccc2297cc0fb971a87911a94ca925d2fd12531999fd9314b615f49688a3e9a4aef19522cd08bdabe72a
diff --git a/dev-python/pyfakefs/pyfakefs-4.3.0.ebuild b/dev-python/pyfakefs/pyfakefs-4.3.0.ebuild
new file mode 100644
index 000000000000..6b764826d178
--- /dev/null
+++ b/dev-python/pyfakefs/pyfakefs-4.3.0.ebuild
@@ -0,0 +1,23 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{5,6,7,8,9} pypy3 )
+DISTUTILS_IN_SOURCE_BUILD=1
+
+inherit distutils-r1
+
+DESCRIPTION="a fake file system that mocks the Python file system modules"
+HOMEPAGE="https://github.com/jmcgeheeiv/pyfakefs/ https://pypi.org/project/pyfakefs/"
+SRC_URI="https://github.com/jmcgeheeiv/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+distutils_enable_tests pytest
+
+python_test() {
+ "${EPYTHON}" -m pyfakefs.tests.all_tests -v || die "tests failed under ${EPYTHON}"
+}
diff --git a/dev-python/pykwalify/pykwalify-9999.ebuild b/dev-python/pykwalify/pykwalify-9999.ebuild
deleted file mode 100644
index 722ead5259aa..000000000000
--- a/dev-python/pykwalify/pykwalify-9999.ebuild
+++ /dev/null
@@ -1,40 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{5,6,7,8,9} )
-
-inherit distutils-r1 git-r3
-
-DESCRIPTION="Python lib/cli for JSON/YAML schema validation"
-HOMEPAGE="https://pypi.org/project/pykwalify/ https://github.com/Grokzen/pykwalify"
-SRC_URI=""
-EGIT_REPO_URI="https://github.com/Grokzen/pykwalify.git"
-
-SLOT="0"
-LICENSE="MIT"
-KEYWORDS=""
-IUSE="test"
-RESTRICT="!test? ( test )"
-
-RDEPEND="
- >=dev-python/docopt-0.6.2[${PYTHON_USEDEP}]
- >=dev-python/pyyaml-3.11[${PYTHON_USEDEP}]
- >=dev-python/python-dateutil-2.4.2[${PYTHON_USEDEP}]
- dev-python/setuptools[${PYTHON_USEDEP}]
-"
-DEPEND="
- dev-python/setuptools[${PYTHON_USEDEP}]
- test? (
- ${RDEPEND}
- dev-python/pytest[${PYTHON_USEDEP}]
- dev-python/testfixtures[${PYTHON_USEDEP}]
- )
-"
-
-PATCHES=( "${FILESDIR}"/${PN}-1.4.0-S.patch )
-
-python_test() {
- pytest -vv || die
-}
diff --git a/dev-python/python-zipstream/python-zipstream-1.1.4.ebuild b/dev-python/python-zipstream/python-zipstream-1.1.4.ebuild
index d2583fc091f2..6537b95bb82d 100644
--- a/dev-python/python-zipstream/python-zipstream-1.1.4.ebuild
+++ b/dev-python/python-zipstream/python-zipstream-1.1.4.ebuild
@@ -14,12 +14,5 @@ SRC_URI="https://github.com/allanlei/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="GPL-3+"
SLOT="0"
KEYWORDS="~amd64 ~x86"
-IUSE="test"
-RESTRICT="!test? ( test )"
-DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
- test? ( dev-python/nose[${PYTHON_USEDEP}] )"
-
-python_test() {
- nosetests -v || die "tests failed under ${EPYTHON}"
-}
+distutils_enable_tests nose
diff --git a/dev-python/scandir/scandir-1.10.0-r2.ebuild b/dev-python/scandir/scandir-1.10.0-r2.ebuild
index b932b7f7e6f8..47638fc202e8 100644
--- a/dev-python/scandir/scandir-1.10.0-r2.ebuild
+++ b/dev-python/scandir/scandir-1.10.0-r2.ebuild
@@ -14,11 +14,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~mips ppc ppc64 s390 sparc x86 ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
-IUSE="test"
-RESTRICT="!test? ( test )"
-
-DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
python_test() {
- ${EPYTHON} test/run_tests.py -v || die "tests failed under ${EPYTHON}"
+ "${EPYTHON}" test/run_tests.py -v || die "tests failed under ${EPYTHON}"
}
diff --git a/dev-python/sentry-sdk/Manifest b/dev-python/sentry-sdk/Manifest
index ae77f4b20e36..df2ff6ed86e8 100644
--- a/dev-python/sentry-sdk/Manifest
+++ b/dev-python/sentry-sdk/Manifest
@@ -4,3 +4,4 @@ DIST sentry-sdk-0.18.0.tar.gz 186389 BLAKE2B f531d68a1244c34d267cb332263c996afad
DIST sentry-sdk-0.19.1.tar.gz 186747 BLAKE2B ae26751ac2e640b86b3c7426829e699cfdbd1c35e70edf0f1f835e35da82f658990a5f61adc4e7b93b032f6c9824d0df90bb2146f125c1fb846c3436228d5516 SHA512 dd4234a36920893e55026ba5ab8b1476cbc91b035a4b4c78f9dcf29cc8e232dc49c6f7312b8fb3d64cf469552d08ef5cadb65d3a7fb58ba73b87e43375c27c8d
DIST sentry-sdk-0.19.2.tar.gz 199116 BLAKE2B c7e362003746e98e65c33eda3cca91c35cfc81d13d90a88ee70f75f33f564cfde3dfbf8d7a9fa17eadebeffdcd7381835d44d9bbde2c0b2f6268e8f265ba55b1 SHA512 a78c3d16f8414093e9b5e74e56893ba5734716ef5782d39a4dc61194e843ab8c5a17cb3a291c96bc0bbcc1b3b49aa84d50f30d8b41b9916de40e187fb3b0bdbb
DIST sentry-sdk-0.19.3.tar.gz 205847 BLAKE2B dfd74fffdd9bf8075e43c2a86131f5aca04a84b198efa0625e4b2f71963fa9438897909ac45b44277696e516b339a1a8b5f42362243bbc4ff205086217e9e20e SHA512 e99df3290874c5080bee0152e062a63b0e3dac3db4726d0f93c71fc9f1b89b16bd386d26280b3cd364282121e4b6bc3843a53f2e830919a3aa710da1cae1b36f
+DIST sentry-sdk-0.19.4.tar.gz 205992 BLAKE2B fdf7d1a29a04be01bc3b7dd7ef7ee0ad33bb03241d9c62e152aa829b2faddb52e7307705ec4f7d89db912ac625de477999167ea66372bcf9304caef31fb65aa4 SHA512 bc8d23b6767a1809ecb4d43becbe266f1e068cfb953cbad280313e54fd3d679308eace42fd880f356bac2f216894e45ee1b51eb2fc74f73f9e433bae406a2a37
diff --git a/dev-python/sentry-sdk/sentry-sdk-0.19.4.ebuild b/dev-python/sentry-sdk/sentry-sdk-0.19.4.ebuild
new file mode 100644
index 000000000000..b461d804dea3
--- /dev/null
+++ b/dev-python/sentry-sdk/sentry-sdk-0.19.4.ebuild
@@ -0,0 +1,87 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{5,6,7,8,9} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python client for Sentry"
+HOMEPAGE="https://getsentry.com https://pypi.org/project/sentry-sdk/"
+SRC_URI="https://github.com/getsentry/sentry-python/archive/${PV}.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}/sentry-python-${PV}"
+
+LICENSE="PSF-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+RDEPEND="
+ dev-python/urllib3[${PYTHON_USEDEP}]
+ dev-python/certifi[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/asttokens[${PYTHON_USEDEP}]
+ dev-python/django[${PYTHON_USEDEP}]
+ <dev-python/dnspython-2[${PYTHON_USEDEP}]
+ dev-python/executing[${PYTHON_USEDEP}]
+ dev-python/eventlet[${PYTHON_USEDEP}]
+ dev-python/fakeredis[${PYTHON_USEDEP}]
+ dev-python/flask-login[${PYTHON_USEDEP}]
+ dev-python/gevent[${PYTHON_USEDEP}]
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ dev-python/pyrsistent[${PYTHON_USEDEP}]
+ dev-python/pytest-aiohttp[${PYTHON_USEDEP}]
+ dev-python/pytest-django[${PYTHON_USEDEP}]
+ dev-python/pytest-forked[${PYTHON_USEDEP}]
+ dev-python/pytest-localserver[${PYTHON_USEDEP}]
+ dev-python/werkzeug[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/aiocontextvars[${PYTHON_USEDEP}]
+ dev-python/contextvars[${PYTHON_USEDEP}]
+ ' python3_6)
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local deselect=(
+ # tests require Internet access
+ --deselect tests/integrations/stdlib/test_httplib.py
+ --deselect tests/integrations/requests/test_requests.py
+ # wtf is it supposed to do?!
+ --deselect tests/integrations/gcp/test_gcp.py
+ # fails on py3.6, hangs on py3.7+
+ --deselect
+ 'tests/test_transport.py::test_transport_works[eventlet'
+ # TODO
+ --deselect
+ 'tests/test_basics.py::test_auto_enabling_integrations_catches_import_error'
+ --deselect
+ tests/test_client.py::test_databag_depth_stripping
+ --deselect
+ tests/test_client.py::test_databag_string_stripping
+ --deselect
+ tests/test_client.py::test_databag_breadth_stripping
+ # test_filename: apparently unhappy about pytest being called pytest
+ --deselect 'tests/utils/test_general.py::test_filename'
+ # test_circular_references: apparently fragile
+ --deselect
+ 'tests/integrations/threading/test_threading.py::test_circular_references'
+ )
+ [[ ${EPYTHON} == python3.6 ]] && deselect+=(
+ # broken with contextvars on py3.6
+ --deselect
+ 'tests/utils/test_contextvars.py::test_leaks[greenlet]'
+ --deselect
+ 'tests/test_transport.py::test_transport_works[greenlet'
+ )
+
+ # Prevent tests/integrations/modules/test_modules.py:test_basic failure
+ # Needs to detect sentry-sdk in the installed modules
+ distutils_install_for_testing
+
+ pytest -vv "${deselect[@]}" || die "Tests failed with ${EPYTHON}"
+}
diff --git a/dev-python/sphinx-py3doc-enhanced-theme/sphinx-py3doc-enhanced-theme-2.3.2-r1.ebuild b/dev-python/sphinx-py3doc-enhanced-theme/sphinx-py3doc-enhanced-theme-2.3.2-r1.ebuild
index 56ae642db7ac..0ba26cc3f7d7 100644
--- a/dev-python/sphinx-py3doc-enhanced-theme/sphinx-py3doc-enhanced-theme-2.3.2-r1.ebuild
+++ b/dev-python/sphinx-py3doc-enhanced-theme/sphinx-py3doc-enhanced-theme-2.3.2-r1.ebuild
@@ -3,9 +3,7 @@
EAPI=7
-DISTUTILS_USE_SETUPTOOLS=rdepend
PYTHON_COMPAT=( python3_{5,6,7,8,9} pypy3 )
-
inherit distutils-r1
DESCRIPTION="Enhanced Sphinx theme (based on Python 3 docs)"